addonName, PakuHud = ...

-- Setup up translation table
if not PakuHud.L then
	PakuHud.L = {}
	PakuHud.L.Locale = GetLocale()
end

-- Return default value if not present in translation table
setmetatable(PakuHud.L, {
	__index = function(t, k)
		local v = tostring(k)
		rawset(t, k, v)
		
		if not PakuHud.db.translations then PakuHud.db.translations = {} end
		PakuHud.db.translations[v] = "Needed for " .. t.Locale
		
		return v
	end
})

if PakuHud.L.Locale == "enUS" then
	PakuHud.L["Beastcaller Inn (Warbeast Kraal)"] = "Beastcaller Inn (Warbeast Kraal)"
	PakuHud.L["Dazar'alor"] = "Dazar'alor"
	PakuHud.L["East Zanchul"] = "East Zanchul"
	PakuHud.L["From"] = "From"
	PakuHud.L["Grand Bazaar"] = "Grand Bazaar"
	PakuHud.L["Grand Seal"] = "Grand Seal"
	PakuHud.L["Terrace of Crafters"] = "Terrace of Crafters"
	PakuHud.L["Terrace Of Crafters"] = "Terrace of Crafters"
	PakuHud.L["The Golden Throne"] = "The Golden Throne"
	PakuHud.L["The Grand Bazaar"] = "The Grand Bazaar"
	PakuHud.L["The Great Seal Ledge"] = "The Great Seal Ledge"
	PakuHud.L["The Sliver (North)"] = "The Sliver (North)"
	PakuHud.L["To"] = "To"
	PakuHud.L["Top of Zanchul"] = "Top of Zanchul"
	PakuHud.L["Unknown"] = "Unknown"
	PakuHud.L["The Zocalo"] = "The Zocalo"
	PakuHud.L["West Zanchul"] = "West Zanchul"
	PakuHud.L["The Old Seawall"] = "The Old Seawall"
	PakuHud.L["The Sliver (South)"] = "The Slivert"
	PakuHud.L["Terrace of the Chosen"] = "Terrace of the Chosen"
	PakuHud.L["Altar of Pa'ku"] = "Altar of Pa'ku"
	PakuHud.L["The Sliver"] = "The Sliver"
	PakuHud.L["Tal'Gurub"] = "Tal'Gurub"
end
